Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.exceptions
[Java] Class DefaultStackTraceFilterer

    java.lang.Object
      org.codehaus.groovy.grails.exceptions.DefaultStackTraceFilterer

All Implemented Interfaces:
  StackTraceFilterer

    public class DefaultStackTraceFilterer
    extends java.lang.Object

Default implementation of StackTraceFilterer.

Authors:
  Graeme Rocher

Since:
  2.0

Field Summary
`static org.apache.commons.logging.Log` | `STACK_LOG`
`static java.lang.String` | `STACK_LOG_NAME`

Constructor Summary
`DefaultStackTraceFilterer()`
`DefaultStackTraceFilterer(boolean shouldFilter)`

Method Summary
`void` | `addInternalPackage(java.lang.String name)`
`java.lang.Throwable` | `filter(java.lang.Throwable source, boolean recursive)`
`java.lang.Throwable` | `filter(java.lang.Throwable source)`
`protected boolean` | `isApplicationClass(java.lang.String className)` Whether the given class name is an internal class and should be filtered
`void` | `setCutOffPackage(java.lang.String cutOffPackage)`
`void` | `setShouldFilter(boolean shouldFilter)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### STACK_LOG

    public static final org.apache.commons.logging.Log STACK_LOG

### STACK_LOG_NAME

    public static final java.lang.String STACK_LOG_NAME

Constructor Detail

### DefaultStackTraceFilterer

    public DefaultStackTraceFilterer()

### DefaultStackTraceFilterer

    public DefaultStackTraceFilterer(boolean shouldFilter)

Method Detail

### addInternalPackage

    public void addInternalPackage(java.lang.String name)

### filter

    public java.lang.Throwable filter(java.lang.Throwable source, boolean recursive)

### filter

    public java.lang.Throwable filter(java.lang.Throwable source)

### isApplicationClass

    protected boolean isApplicationClass(java.lang.String className)

  Whether the given class name is an internal class and should be filtered
  Parameters:
    `className` - The class name
  Returns:
    true if is internal

### setCutOffPackage

    public void setCutOffPackage(java.lang.String cutOffPackage)

### setShouldFilter

    public void setShouldFilter(boolean shouldFilter)

Groovy Documentation